MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions
PluginUnavailable Class Referencefinal

An exception class which is used by plugin initializers to indicate that this plugin is unavailable. More...

`#include <PluginUnavailable.hxx>`

Inheritance diagram for PluginUnavailable:
[legend]
Collaboration diagram for PluginUnavailable:
[legend]

## Public Member Functions
| PluginUnavailable (const char *msg)

## Detailed Description

An exception class which is used by plugin initializers to indicate that this plugin is unavailable.

It will be disabled, and MPD can continue initialization.

Definition at line 30 of file PluginUnavailable.hxx.

## Constructor & Destructor Documentation

PluginUnavailable::PluginUnavailable | ( | const char * | msg | ) |
| inline explicit

Definition at line 32 of file PluginUnavailable.hxx.

The documentation for this class was generated from the following file:

- PluginUnavailable.hxx